%global srcname zope.interface
%global pkgname zope-interface
%global summary Zope 3 Interface Infrastructure
%global _description \
Interfaces are a mechanism for labeling objects as conforming to a given API \
or contract. \
This is a separate distribution of the zope.interface package used in Zope 3.


Name:       python3-%{pkgname}
Version:    4.3.3
Release:    4%{?dist}
Summary:    %{summary}
Group:      Development/Libraries
License:    ZPLv2.1
URL:        https://pypi.io/project/zope.interface
Source0:    https://pypi.io/packages/source/z/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python-srpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-zope-event
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-nose
BuildRequires:  python%{python3_other_pkgversion}-zope-event
%endif

%description %{_description}


%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}
Requires:       python%{python3_pkgversion}-zope-event

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}
%endif


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}
Requires:       python%{python3_other_pkgversion}-zope-event

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%setup -n %{srcname}-%{version} -q

rm -rf %{srcname}.egg-info
rm -f docs/_static/.gitignore


%build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
%py3_install
# (Hot)Fix issue with implicit namespace package in Python 3.6
# https://github.com/pypa/setuptools/issues/1097
cp src/zope/__init__.py %{buildroot}/%{python3_sitearch}/zope/
# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/{,tests/}*.txt
# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c

%if 0%{?with_python3_other}
%py3_other_install
# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python3_other_sitearch}/zope/interface/{,tests/}*.txt
# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python3_other_sitearch}/zope/interface/_zope_interface_coptimizations.c
%endif


%check
PYTHONPATH=$(pwd) nosetests-%{python3_version}
%if 0%{?with_python3_other}
PYTHONPATH=$(pwd) nosetests-%{python3_other_version}
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%doc README.rst CHANGES.rst docs/
%license LICENSE.txt COPYRIGHT.txt
%{python3_sitearch}/zope/interface/
%{python3_sitearch}/zope/
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%{python3_sitearch}/%{srcname}-*.egg-info
%{python3_sitearch}/%{srcname}-*-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%doc README.rst CHANGES.rst docs/
%license LICENSE.txt COPYRIGHT.txt
%{python3_other_sitearch}/zope/interface/
# Co-own %%{python3_other_sitearch}/zope/
%dir %{python3_other_sitearch}/zope/
%exclude %{python3_other_sitearch}/zope/interface/tests/
%exclude %{python3_other_sitearch}/zope/interface/common/tests/
%{python3_other_sitearch}/%{srcname}-*.egg-info
%{python3_other_sitearch}/%{srcname}-*-nspkg.pth
%endif


%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 4.3.3-4
- Rebuilt to change main python from 3.4 to 3.6

* Mon Feb 11 2019 Lumír Balhar <lbalhar@redhat.com> - 4.3.3-3
- Fix namespace package

* Wed Aug 02 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.3.3-2
- Fix BuildRequires name

* Wed Dec 14 2016 Aurelien Bompard <abompard@fedoraproject.org> - 4.3.3-1
- version 4.3.3

* Tue Nov 15 2016 Aurelien Bompard <abompard@fedoraproject.org> - 4.3.2-1
- initial Python3-specific package based on the main package.
